Skip to main content

Create Resident Payment: ResMan

POSThttps://api.propexo.com/v1/resident-payments/resman/

Create Resident Payment: ResMan. Important note: ResMan requires that the property management company approve partner (API) generated charges and payments. To do this, the PMC must go to the "Partner Transactions" tab in the ResMan portal and approve each transaction.

InterfaceMethod
Accounts Receivable/MITS/PostResidentTransactions2_0
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    payment_typestringrequired

    The method of payment

    Show 8 enum values
    ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney Order
    batch_idstringrequired

    An identifier for the transaction batch. This should be unique to your system.

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    descriptionstringrequired

    Description of the resident payment

    notesstringrequired

    Notes associated with the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    payment_typestringrequired

    The method of payment

    Show 8 enum values
    ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney Order
    batch_idstringrequired

    An identifier for the transaction batch. This should be unique to your system.

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    descriptionstringrequired

    Description of the resident payment

    notesstringrequired

    Notes associated with the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/resman/
curl -X POST https://api.propexo.com/v1/resident-payments/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"payment_type": "ACH",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"payment_type": "ACH",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
}